Subject: Re: [PATCH 0/9] git archive: use gzip again by default, document output stabilty

From: Junio C Hamano <[email-masked]>
Date: Thu, 02 Feb 2023 08:40:04 -0800

Phillip Wood <[email-masked]> writes:

> ... Reverting the change
> gives the misleading impression that we're making a commitment to
> keeping the output stable. The focus of this thread seems to be the
> problems relating to github which they have already addressed.
>
> I think there is general agreement that it is not practical to promise
> that the compressed output of "git archive" is stable so maybe it is
> better to make that clear now while users can work around it in the
> short term with a config setting rather than waiting until we're faced
> with some security or other issue that forces a change to the output
> which users cannot work around so easily.

I love to see somebody else play the devil's advocate role.  Thanks
for all of the above.